# ownCloud - Probleme mit dem loeschen von Dateien (troubleshooting)

## Information

- **Source:** https://gweep.eu
- **Autor:** Alexander `gweep` Görisch
- **License:** <a href="https://www.gnu.org/licenses/licenses.html" taget="_blank">GNU/FDL</a>

| Version    | Who   | Description |
| ---------- | ----- | ----------- |
| 2021-03-15 | gweep | Created;    |

> Da es sich hierbei schon um ein aelteres Troubleshooting-Dokument handelt und ich selbst kein ownCloud mehr verwende: Sollte die Loesung so nicht mehr funktionieren, bitte eine kurze Info an meine Mail-Adresse gweep(at)gweep(dot)eu



## Problem

Beim Loeschen von Dateien koennen manche Dateien im _ownCloud_ Ordner nicht geloescht werden. Dabei spielt es keine Rolle ob ueber dem Browser oder am Client selbst.



## Solution

Die Loesung des Problems ist eine Aenderung in der Datei `config.php` welche im Ordner `/var/www/html/owncloud/config/` zu finden ist. 

```shell\
sudo vim /var/www/html/owncloud/config/config.php
```

Folgende Zeile hinzufuegen:

```shell
'filelocking.enabled' => false,
```

<img style="float: left;" src="20210315-owncloud_troubleshooting01.png">


Nach dem Speichern der Aenderung das Service oder das System neustarten, danach sollten sich die Daten loeschen lassen.



## Sources

- 2021-03-15 - Download (HTML-, MD-, PDF-File): https://gweep.eu/documents/troubleshooting/20210315_owncloudProblemDeleteFiles/20210315_owncloudProblemDeleteFiles.zip
